
From: Anton Blanchard <anton@samba.org>

udbg_read would lock up if ppc_md.udbg_putc didnt exist.  Just return 0 and
dont lock up instead.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/udbg.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/udbg.c~ppc64-another-udbg-fix arch/ppc64/kernel/udbg.c
--- 25/arch/ppc64/kernel/udbg.c~ppc64-another-udbg-fix	2004-06-26 22:40:15.393986560 -0700
+++ 25-akpm/arch/ppc64/kernel/udbg.c	2004-06-26 22:40:15.398985800 -0700
@@ -229,7 +229,8 @@ udbg_read(char *buf, int buflen) {
 	char c, *p = buf;
 	int i;
 	if (!ppc_md.udbg_putc)
-		for (;;);	/* stop here for cpuctl */
+		return 0;
+
 	for (i = 0; i < buflen; ++i) {
 		do {
 			c = ppc_md.udbg_getc();
_
